package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.ChildMortality;
import com.lightinit.hsdatashow.entity.ChildMortalityExample;
import java.util.List;

import com.lightinit.hsdatashow.entity.Unemployment;
import org.apache.ibatis.annotations.Param;

public interface ChildMortalityMapper {
    long countByExample(ChildMortalityExample example);

    int deleteByExample(ChildMortalityExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ChildMortality record);

    int insertSelective(ChildMortality record);

    List<ChildMortality> selectByExample(ChildMortalityExample example);

    ChildMortality selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ChildMortality record, @Param("example") ChildMortalityExample example);

    int updateByExample(@Param("record") ChildMortality record, @Param("example") ChildMortalityExample example);

    int updateByPrimaryKeySelective(ChildMortality record);

    int updateByPrimaryKey(ChildMortality record);

    List<ChildMortality> selectList(int year);
}